<?php

namespace CouponsPlus\App\Coupon\Tree\Abilities;

interface WithTestableParent
{
    /**
     * @return TestableGroupData|TestableData|null
     */
    public function getParent();

    /**
     * @param TestableGroupData|TestableData|null $parent
     */
    public function setParent($parent) : void;
}